Uploaded image for project: 'Java Mission Control'
  1. Java Mission Control
  2. JMC-5859

Upgrade to Tycho 1.2.0 with class loader hook for javafx-swt.jar

    XMLWordPrintable

    Details

      Description

      Update Tycho 1.2.0 which is released on 2018-06-05 with additional external class loader hook to use Non OSGi (dynamic) bundle for loading "$JAVA_HOME/lib/javafx-swt.jar".

      -------------------- Original description --------------

      Tycho 1.1.0 was released on 2018-02-07.
      https://projects.eclipse.org/projects/technology.tycho/releases/1.1.0
      https://wiki.eclipse.org/Tycho/Release_Notes/1.1

      If we want to use Java 9 or newer when building JMC, then we must upgrade to Tycho 1.1.0.

      To update, just change the tycho-version property in the top pom.xml file to 1.1.0.

       

       

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              ghb Guru Hb (Inactive)
              Reporter:
              owestin Ola Westin
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: